LibreOffice LibreOffice 6.0 SDK C/C++ API Reference

Classes | Namespaces
compbase5.hxx File Reference
`#include "cppuhelper/implbase5.hxx"`
`#include "cppuhelper/compbase_ex.hxx"`

Go to the source code of this file.

## Classes
class | cppu::WeakComponentImplHelper5< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5 >
| Implementation helper supporting css::lang::XTypeProvider and css::lang::XComponent. More...
class | cppu::PartialWeakComponentImplHelper5< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5 >
| Same as WeakComponentImplHelper5, except doesn't implement addEventListener, removeEventListener and dispose. More...
class | cppu::WeakAggComponentImplHelper5< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5 >
| Implementation helper supporting css::lang::XTypeProvider and css::lang::XComponent. More...

## Namespaces
| cppu